Bug 54433 - unable to use itkwish
unable to use itkwish
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: tcltk (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
:
: 62044 76391 76497 84011 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-08 07:44 EDT by Leonid Kanter
Modified: 2007-04-18 12:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-16 03:09:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2001-10-08 07:44:06 EDT
Description of Problem:

[leon@leon program]$ itkwish
Segmentation fault


Version-Release number of selected component (if applicable):

itcl-3.2-65

How Reproducible:

always
Comment 1 Eido Inoue 2001-10-17 13:41:01 EDT
Ugh. This creeped back in.

itcl 3.2 does not include the itkwish and itclsh by default-- they've been
depreciated by the itcl author in favor of loading them with a "requires"
through the regular tclsh and wish shells. itkwish and itclsh are included with
3.2 for backwards compatibility with the earlier Red Hat.

Will fix-- but expect (in other words, migrate or plan to migrate to the
solution above if possible) itkwish and itclsh to go away when the next major
(non-dot) release of Red Hat is released and neither shell is included in itcl
3.2 anymore anyway.
Comment 2 Mike McLean 2002-10-25 10:28:40 EDT
The last comment is pretty old... has this been fixed yet, or should it be
marked wontfix?
Comment 3 Mike McLean 2002-10-25 10:29:32 EDT
*** Bug 76391 has been marked as a duplicate of this bug. ***
Comment 4 Jens Petersen 2002-10-26 22:37:54 EDT
Hmm, I believe I already have a fix for this, but I am actually leaning
towards dropping "itclsh" and "itkwish" in the next package release.
Would that hurt people?
Comment 5 Bill Nottingham 2002-10-28 23:03:16 EST
If they're deprecated upstream, I don't have much problem with removing them.
But if we include them they shouldn't segfault. :)
Comment 6 Mike McLean 2002-10-29 10:14:31 EST
Since this bug is also in 8.0, I am updating the version (was 7.3).
Comment 7 Jens Petersen 2002-11-11 00:43:59 EST
*** Bug 76497 has been marked as a duplicate of this bug. ***
Comment 8 Jens Petersen 2002-11-11 00:45:54 EST
This will get fixed shortly.  Thanks for your patience.
Comment 9 Jens Petersen 2002-12-03 10:36:23 EST
*** Bug 62044 has been marked as a duplicate of this bug. ***
Comment 10 Jens Petersen 2002-12-10 02:58:54 EST
You should be able to use itcl and itk from tcl and wish
in package release 77 and later (perhaps even 76).
The source package is tcltk-8.3.5-77.

As indicated above the obsolete itclsh and itkwish aren't
being included any longer.
Comment 11 Jens Petersen 2003-02-21 03:27:28 EST
*** Bug 84011 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.